Summary: Store session cookie in memcached
Name: mod_authmemcookie
Version: 2.0.1
Release: 1%{?dist}.achievers
License: GPLv2
Group: Development/Languages
URL: http://sourceforge.net/projects/authmemcookie/
Vendor: Achievers

Source0: https://github.com/ZenProjects/Apache-Authmemcookie-Module/archive/refs/tags/v%{version}.tar.gz

BuildRequires: libmemcached-awesome-devel, httpd-devel, httpd-tools, gcc, php-pecl-memcached, autoconf
Requires: libmemcached-awesome-devel, libmemcached-awesome, httpd

%description
The mod_authmemcookie is an Apache module used to store session cookies inside a
memcached instance.

%prep
%setup -q -n Apache-Authmemcookie-Module-%{version} 

%build
%configure --with-apxs=/usr/bin/apxs --with-libmemcached=/usr
%make_build all

%install
install -Dp -m0755 .libs/mod_auth_memcookie.so %{buildroot}/usr/lib64/httpd/modules/mod_auth_memcookie.so

%clean
rm -rf %{buildroot}

%files
%{_libdir}/httpd/modules/mod_auth_memcookie.so

%changelog
* Wed Aug 30 2023 Breno Brand Fernandes <breno.brandfernandes@achievers.com> - 2.0.1-1
- Rocky 9

* Sun May 10 2015 Stephen Griffin <stepheng@achievers.com> - 1.4.20-2
- Centos 7

* Tue Feb 26 2013 Stephen Griffin <stepheng@achievers.com> - 1.0.2-5
- For php 5.4 build

* Fri Nov 25 2011 Scott Adair <scotta@achievers.com> - 1.0.2-1
- Initial Package
